#
# spec file for package ldas-tools-al-swig
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ldas-tools-al-swig
Version:        2.6.7
Release:        4.2
Summary:        LDAS (LIGO Data Analysis System) tools abstraction toolkit language bindings
License:        GPL-2.0-or-later
URL:            https://wiki.ligo.org/Computing/LDASTools
Source:         http://software.ligo.org/lscsoft/source/ldas-tools-al-swig-2.6.7.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module distutils-extra}
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  swig
BuildRequires:  pkgconfig(ldastoolsal)
BuildRequires:  pkgconfig(ldastoolscmake)

%python_subpackages

%description
This provides different language bindings for the LDAS tools abstaction library.

%prep
%setup -q

%build
%{python_expand # Necessary to run cmake with all python flavors
export PYTHON=$python
mkdir ../${PYTHON}_build
cp -pr ./ ../${PYTHON}_build
pushd ../${PYTHON}_build
%cmake -DPYTHON3_VERSION=%{$python_version}
%cmake_build
popd
}

%install
%{python_expand # Necessary to run cmake with all python flavors
export PYTHON=$python
pushd ../${PYTHON}_build
%cmake_install
popd
}

%files -n %{name}
%license COPYING
%{_includedir}/ldastoolsal/*.i

%files %{python_files}
%doc ChangeLog README
%license COPYING
%{python_sitearch}/*

%changelog
* Thu Feb 29 2024 Dominique Leuenberger <dimstar@opensuse.org>
- BuildRequire python_module distutils-extra: fix build with python
  3.12.
* Tue May  4 2021 Atri Bhattacharya <badshah400@gmail.com>
- Adapt for multi-flavoured python.
- Re-enable python3.6 builds.
* Sat Feb 13 2021 Atri Bhattacharya <badshah400@gmail.com>
- Set skip_python36 to 1 to disable python 3.6 builds.
- Make file list compatible with python rpm macros to fix build.
* Thu May  7 2020 Atri Bhattacharya <badshah400@gmail.com>
- Update URL.
- Drop skip_python2 macro, as python2 as already been disabled
  for openSUSE >= 1550.
* Mon Feb  3 2020 Atri Bhattacharya <badshah400@gmail.com>
- Initial package.
